Package com.io7m.jregions.core.parameterized.sizes

# Class PVolumeSizeF.Builder<S>

java.lang.Object
com.io7m.jregions.core.parameterized.sizes.PVolumeSizeF.Builder<S>

Enclosing class:
  PVolumeSizeF<S>

    public static final class PVolumeSizeF.Builder<S>
    extends java.lang.Object

Builds instances of type `PVolumeSizeF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PVolumeSizeF<S>` | `build()` | Builds a new `PVolumeSizeF`.
  `PVolumeSizeF.Builder<S>` | `from​(PVolumeSizeFType<S> instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PVolumeSizeFType` instance.
  `PVolumeSizeF.Builder<S>` | `from​(VolumeSizeValuesFType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesFType` instance.
  `PVolumeSizeF.Builder<S>` | `setSizeX​(float sizeX)` | Initializes the value for the `sizeX` attribute.
  `PVolumeSizeF.Builder<S>` | `setSizeY​(float sizeY)` | Initializes the value for the `sizeY` attribute.
  `PVolumeSizeF.Builder<S>` | `setSizeZ​(float sizeZ)` | Initializes the value for the `sizeZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final PVolumeSizeF.Builder<S> from​(VolumeSizeValuesFType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final PVolumeSizeF.Builder<S> from​(PVolumeSizeFType<S> instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PVolumeSizeFType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final PVolumeSizeF.Builder<S> setSizeX​(float sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final PVolumeSizeF.Builder<S> setSizeY​(float sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeZ

    public final PVolumeSizeF.Builder<S> setSizeZ​(float sizeZ)
    Initializes the value for the `sizeZ` attribute.
    Parameters:
      `sizeZ` - The value for sizeZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public PVolumeSizeF<S> build()
    Builds a new `PVolumeSizeF`.
    Returns:
      An immutable instance of PVolumeSizeF
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing